# ########################################################
# non latin symbols shouldn't be in first 256 byte block #
# ########################################################

%define dict_iln	uk-ua
%define dict_oln	ru-ru
%define dict_thm	dzer-tyzh

%define name_iln_en	Ukrainian
%define name_oln_en	Russian
%define name_thm_en	Social and political

%define name_iln_uk	
%define name_oln_uk	
%define name_thm_uk	-

%define name_iln_ru	
%define name_oln_ru	
%define name_thm_ru	-

%define name_nam_en	Pere
%define name_nam_uk	
%define name_nam_ru	

%define dict_name	%{dict_iln}_%{dict_oln}_%{dict_thm}

Name: pere-%{dict_name}
Version: 0.2.0
Release: 1.fc4.val

Summary: %{name_nam_en}: %{name_thm_en} dictionary from %{name_iln_en} to %{name_oln_en}
Summary(uk_UA.CP1251): %{name_nam_uk}: %{name_thm_uk}   %{name_iln_uk}  %{name_oln_uk}
Summary(ru_RU.CP1251): %{name_nam_ru}: %{name_thm_ru}   %{name_iln_ru}  %{name_oln_ru}
License: GPL
Group: Text tools
Requires: perl-Lingua-Pere >= 0.2.0
Url: http://pere.org.ua/
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%(id -u -n)

Source0: http://pere.org.ua/dwn/src/src/pere-dicsrc_%{dict_name}_%{version}.tar.bz2

%description
%{name_thm_en} translation dictionary from %{name_iln_en} to %{name_oln_en} for %{name_nam_en} translator.

%description -l uk_UA.CP1251
%{name_thm_uk}    %{name_iln_uk}  %{name_oln_uk}   %{name_nam_uk}.

%description -l ru_RU.CP1251
%{name_thm_ru}    %{name_iln_ru}  %{name_oln_ru}   %{name_nam_ru}.

%prep
rm -rdf %{buildroot}
%setup -q -n pere-dicsrc_%{dict_name}

%build

pere-src2dic -pfx=. -csv=%{dict_name}.src -ovr -mem=100
pere-dic2dmp -pfx=. -csv=%{dict_name}.dmp -mem=100

%install

install -d -p -m755 %{buildroot}%{_datadir}/pere
install -p -m644 -D %{dict_name}.dmp %{buildroot}%{_datadir}/pere/%{dict_name}.dmp

install -d -p -m755 %{buildroot}%{_docdir}/pere/%{dict_name}
install -p -m644 -D README %{buildroot}%{_docdir}/%{name}-%{version}/README
install -p -m644 -D Changes %{buildroot}%{_docdir}/%{name}-%{version}/Changes

%clean
rm -rdf %{buildroot}

%post
install -d -p -m755 %{_datadir}/pere/%{dict_name}
pere-dmp2dic -pfx=%{_datadir}/pere/%{dict_name} -csv=%{_datadir}/pere/%{dict_name}.dmp -ovr
rm -f %{_datadir}/pere/%{dict_name}.dmp
pere-confupd -rut=%{_datadir}/pere -cfg=%{_sysconfdir}/pere-trans.config

%postun
rm -drf %{_datadir}/pere/%{dict_name}
pere-confupd -rut=%{_datadir}/pere -cfg=%{_sysconfdir}/pere-trans.config

%files
%defattr(-,root,root)
%{_datadir}/pere/%{dict_name}.dmp
%doc Changes README

%changelog
* Sat Jun  3 2006 Valentyn Solomko <val@pere.org.ua>
- rebuilt after some corrections

* Sat May 20 2006 Valentyn Solomko <val@pere.org.ua> 0.2.0
- First build
